warning {base} | R Documentation

## Warning Messages

### Description

Generates a warning message that corresponds to its argument and the expression or function from which it was called.

### Usage

    warning(message)

### Arguments

`message` | character string (of length 1) or `NULL`.

### Details

The result depends on the value of `options("warn")`.

If `warn` is negative warnings are ignored; if it is zero they are stored and printed after the top–level function has completed; if it is one they are printed as they occur and if it is 2 (or larger) warnings are turned into errors.

If `warn` is zero (the default), a top-level variable `last.warning` is created. It contains the warnings which can be printed via a call to `warnings`.

### See Also

`stop` for fatal errors, `warnings`, and `options(warn=..)`.

### Examples